Skip to content

getUser

GET
/admin/get-user
curl --request GET \
--url https://gymgym.club/api/auth/admin/get-user \
--header 'Authorization: Bearer <token>'

Get an existing user

id

The id of the User

string

User

Media typeapplication/json
object
user
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
role
string
banned
boolean
banReason
string
banExpires
string format: date-time
isAnonymous
boolean
lastLoginMethod
string
Example
{
"user": {
"emailVerified": false,
"banned": false,
"isAnonymous": false
}
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}